<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
 elementFormDefault="qualified">

<xsd:include schemaLocation="common_trans_obj.xsd"/>
<xsd:include schemaLocation="common_obj.xsd"/>


	<xsd:element name="HOTBACKUP_DATA" type="HotBackupContent"/>  
	<xsd:element name="HOTBACKUP_ENABLED" type="xsd:boolean"/> 
	<xsd:element name="PAIR_IP" type="IpAddressType"/>
	<xsd:element name="PAIR_PORT" type="xsd:integer"/>
	<xsd:element name="HOTBACKUP_TYPE" type="HotBackupType"/>
	<xsd:element name="STATUS" type="StatusType"/>
  

	<xsd:complexType name="HotBackupContent">
		<xsd:sequence>      
			<xsd:element ref="HOTBACKUP_TYPE" minOccurs="0"/>
			<xsd:element ref="HOTBACKUP_ENABLED" minOccurs="0"/>
			<xsd:element ref="PAIR_IP" minOccurs="0"/>
			<xsd:element ref="PAIR_PORT" minOccurs="0"/>
			<xsd:element ref="STATUS" minOccurs="0"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>  
  
  
	<xsd:simpleType name="StatusType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="none"/>
			<xsd:enumeration value="ok"/>
			<xsd:enumeration value="attempting"/>
			<xsd:enumeration value="fail"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="HotBackupType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="master"/>
			<xsd:enumeration value="slave"/>      
		</xsd:restriction>
	</xsd:simpleType>

</xsd:schema>
